if [ "`/bin/uname -m`" = x86_64 ]; then
    CLIENT_PATH=/usr/lib/oracle/10.2.0.3/client64
else
    CLIENT_PATH=/usr/lib/oracle/10.2.0.3/client
fi

if [ -d $CLIENT_PATH/bin ]; then
    if [ -n "$PATH" ]; then
        PATH=$CLIENT_PATH/bin:$PATH
    else
        PATH=$CLIENT_PATH/bin
    fi

    export PATH
fi

if [ -d $CLIENT_PATH/lib ]; then
    if [ -n "$LD_LIBRARY_PATH" ]; then
        LD_LIBRARY_PATH=$CLIENT_PATH/lib:$LD_LIBRARY_PATH
    else
        LD_LIBRARY_PATH=$CLIENT_PATH/lib
    fi

    export LD_LIBRARY_PATH
fi

unset CLIENT_PATH
